EdgePay Developer Tools

Recurring Payment during the Initial Sale

This payment request allows the user to use API to add Contract and Customers to previously established Billing Program with the use of our Processing Center. As well as adding recurring payment during the initial payment request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

💡 Creating a Recurring Payment during initial sale

The action code makeRecurring can only be used in conjunction with the captureToo flag set to “yes" allowing you to create a recurring transaction during the initial Sale Request which will create a Recurring Payment when the initial payment is approved.

EdgePay has developed an RPM or known as Recurring Payment Manager (Click link for more information) capability to automatically bill your customer for memberships, products or services on your Predetermined Payment Schedule. Using this RPM, Once created, you can use this API to add or change customers and their associated contracts. A customer can have more than 1 contract.

{
"captureToo":"Yes",
"merchantID":"6320340123456903",
"terminalID":"88800000282601",
"paymentDataInput":"INTERNET",
"billingAddress":"Address",
"billingCity":"City",
"billingState":"CA",
"billingZip":"85284",
"shippingAddress":"NewYork",
"shippingCity":"NewYork",
"shippingState":"AR",
"shippingZip":"65401",
"amount":"4.99",
"currencyCode":"840",
"cardNumber":"4111111111111111",
"cardExpirationDate":"1129",
"processor":"TSYS",
"customerName":"Recurring Installment",
"customerNumber":"04022022",
"phoneNumber":"9038000439",
"eMailAddress":"[email protected]",
"makeRecurring":"Yes",
"status":"A",
"recurringPaymentRequest":
	[
      {
      "schedulePaymentType":"Installment",
      "recurringAmount":"9.99",
      "frequency":"O",
      "paidIn":"4",
      "startDate":"2023-07-21",
      "description":"Recurring Installment",
      "emailReceipt":"Y"


      }
	]
}
{
    "result": "A",
    "responseCode": "A0000",
    "responseMessage": "Successful",
    "merchantID": "888000002826",
    "terminalID": "88800000282601",
    "timestamp": "2023-07-21 00:30:31.556",
    "maskedAccountNumber": "411111******1111",
    "cardExpirationDate": "1127",
    "tokenID": "4888660511614277",
    "customerNumber": "1689899427",
    "securityResult": "A",
    "securityMessage": "APPROVED",
    "processor": "TSYS",
    "authCode": "TAS334",
    "avsResponse": "Zip Match(Z) : The nine character ZIP code submitted matches what is on file.",
    "commercialCard": "y",
    "avsCode": "Z",
    "transactionId": "CS56570809680841611",
    "recurringIDs": [
        "178086266766596"
    ],
    "amount": "1.00"
}
☑️

Authentication Header:

  • merchantKey = this is the API KEY 🔑 that is associated with your MID provided by GETTRX.
  • externalReferenceId = It is a unique record identifier. Combination of 123456 + UNIX timestamp Sample: 1234561687543122
  • transacationDate = Set to UTC timezone 🕑
                 Format: YYYY-MM-DDTHH:MM:SS
Body Params
string
required
string
required

Required - Unique ID assigned by GET

string
required

Required - Unique ID assigned by GET

string
required

Required - Total amount to charge with or without decimal. All minor units after decimal. No decimal amount is processed as major units (dollars, euros, etc.) - Numeric - 12

string
required
Defaults to 840

Required - Assumes USD unless otherwise specified

string
required

Conditional - Supply this if card entered manually

string
required

Conditional - Provide if cardNumber is used (MMYY)

string

Conditional - May supply in place of trackData or cardNumber from previous request

string
required

Required - Defines the point of sale card enter mode: - Phone - Mail - Internet - Swipe - Manualentry

string
required

Required - Your customer’s name - Alpha/Numeric 30

string
required

Required - The customer number you assign - Alpha/Numeric 25

string
required

Required - customer phone number - Numeric 15

string
required

Required - customer email - Alpha/Numeric/Special Characters 100

string
required

Required - customer billing address - Alpha/Numeric 200

string
required

Required - customer billing city - Alpha/Numeric 50

string
required

Required - customer billing state - Alpha 2

string
required

Required - same as billing Address "-" Allowed, ALPHA/Numeric - 10, Test US Zip = 85284, Test Canada Zip = M4P1Z2

string
required

Required - customer shipping address - Alpha/Numeric 200

string
required

Required - customer shipping city - Alpha/Numeric 50

string
required

Required - customer shipping state - Alpha 2

string
required

Required - same as billing Address "-" Allowed, ALPHA/Numeric - 10, Test US Zip = 85284, Test Canada Zip = M4P1Z2

string
required

Action Code - This flag can only be used in conjunction with the “captureToo” flag set to “yes.” the initial sale allowing you to create a recurring transaction during the inital "captureToo" sale Request

string

A = Activate / S = Suspend

recurringPaymentRequest
array of objects
required
recurringPaymentRequest*
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json